iOS高德地图SDK(3D) V11.2.0001

Properties | List of all members
MAHeatMapTileOverlay Class Reference

`#import <MAHeatMapTileOverlay.h>`

Inheritance diagram for MAHeatMapTileOverlay:

## Properties
NSArray< MAHeatMapNode * > * | data
| MAHeatMapNode array. More...
NSInteger | radius
CGFloat | opacity
MAHeatMapGradient * | gradient
BOOL | allowRetinaAdapting
Properties inherited from MATileOverlay
CGSize | tileSize
NSString * | URLTemplate
BOOL | canReplaceMapContent
BOOL | disableOffScreenTileLoading
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Instance Methods inherited from MATileOverlay
(NSInteger minimumZ) | - __attribute
(NSInteger maximumZ) | - __attribute
(id) | - initWithURLTemplate:
| 根据指定的URLTemplate生成tileOverlay Generate tileOverlay based on the specified URLTemplate More...
(NSURL *) | - URLForTilePath:
| 以tile path生成URL。用于加载tile,此方法默认填充URLTemplate Generate URL from tile path. Used to load tiles, this method defaults to filling URLTemplate More...
(void) | - loadTileAtPath:result:
| 加载被请求的tile,并以tile数据或加载tile失败error访问回调block;默认实现为首先用URLForTilePath去获取URL,然后用异步NSURLConnection加载tile Load the requested tile and access the callback block with tile data or a tile loading failure error; the default implementation first uses URLForTilePath to obtain the URL, then loads the tile asynchronously with NSURLConnection. More...
(void) | - cancelLoadOfTileAtPath:
| 取消请求瓦片，当地图显示区域发生变化时，会取消显示区域外的瓦片的下载, 当disableOffScreenTileLoading=YES时会被调用。since 5.3.0 Cancel tile requests, when the map display area changes, it will cancel the download of tiles outside the display area, and it will be called when disableOffScreenTileLoading=YES. since 5.3.0 More...
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Detailed Description

热力图tileOverlay Heatmap tileOverlay

## Property Documentation

## ◆ allowRetinaAdapting

- (BOOL) allowRetinaAdapting
| read write nonatomic assign

是否开启高清热力图，默认关闭 Whether to enable high-definition heatmap, default is off

## ◆ data

- (NSArray<MAHeatMapNode *>*) data
| read write nonatomic strong

MAHeatMapNode array.

## ◆ gradient

- (MAHeatMapGradient*) gradient
| read write nonatomic strong

热力图梯度 Heatmap gradient

## ◆ opacity

- (CGFloat) opacity
| read write nonatomic assign

透明度，默认为0.6，范围：0-1 Opacity, default is 0.6, range: 0-1

## ◆ radius

- (NSInteger) radius
| read write nonatomic assign

热力图半径，默认为12，范围:10-200 screen point Heatmap radius, default is 12, range: 10-200 screen points

The documentation for this class was generated from the following file:

- MAHeatMapTileOverlay.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。